Update Applicant: Yardi
https://api.propexo.com/v1/applicants/yardi/:applicant_id| Interface | Method |
|---|---|
| ILS Guest Card | ImportYardiGuest_Login |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the applicant
Request
This endpoint expects an object.
The Propexo unique identifier for the unit
The first name associated with the applicant
The last name associated with the applicant
Primary phone number associated with the applicant
Type of the primary phone number
Show 4 enum values
FAXHOMEMOBILEWORKSecondary phone number associated with the applicant
Type of the secondary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKThe primary email address associated with the applicant
The first address line associated with the applicant
The second address line associated with the applicant
The city associated with the applicant
The state associated with the applicant
The zip code associated with the applicant
The country associated with the applicant
Notes associated with the applicant
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the applicant
The Propexo unique identifier for the unit
The first name associated with the applicant
The last name associated with the applicant
Primary phone number associated with the applicant
Type of the primary phone number
Show 4 enum values
FAXHOMEMOBILEWORKSecondary phone number associated with the applicant
Type of the secondary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKThe primary email address associated with the applicant
The first address line associated with the applicant
The second address line associated with the applicant
The city associated with the applicant
The state associated with the applicant
The zip code associated with the applicant
The country associated with the applicant
Notes associated with the applicant
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/applicants/yardi/:applicant_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"unit_id": "string",
"first_name": "string",
"last_name": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"email_1": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"notes": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"applicant_id": "string",
"unit_id": "string",
"first_name": "string",
"last_name": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"email_1": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"notes": "string"
}
}